package com.zjt.service;

import com.zjt.entity.ProductionVarietyDetail;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zjt.entity.ProductionVarietyDetailColour;
import com.zjt.entity.Productionheader;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author xxu
 * @since 2025-09-25
 */
public interface IProductionVarietyDetailService extends IService<ProductionVarietyDetail> {
    List<ProductionVarietyDetail> selectvarietyList();
    List<ProductionVarietyDetail> selectvarietyDetails(String variety);

    List<Productionheader> selectProductionheader(long varietyDetailId);

    List<ProductionVarietyDetailColour> selectColour(long varietyDetailId);
}
